%global forgeurl https://github.com/Snaipe/BoxFort
Version:        0.1.4
%global date 20240503
%global commit 1018a44e63b57e9ffc3b8b68b6c8a8aa8f342d2a
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%forgemeta

Name:           boxfort
Release:        %autorelease
Summary:        Convenient & cross-platform sandboxing C library
License:        MIT
URL:            %{forgeurl}
Source0:        %{forgesource}

# https://github.com/Snaipe/BoxFort/blob/c91d7181734ab2fd6d1299e8aa927297f0ddb754/meson.build#L81-L93
# ppc64le and s390x are not supported
# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch: %{ix86} ppc64le s390x

BuildRequires:  gcc
BuildRequires:  meson

%description
BoxFort is a simple, cross-platform sandboxing C library powering Criterion.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains development files for %{name}.

%prep
%forgeautosetup -p1

%build
%meson -Ddefault_library=shared
%meson_build

%install
%meson_install

%check
%meson_test

%files
%license LICENSE
%doc README.md
%{_libdir}/libboxfort.so.0*

%files devel
%{_includedir}/boxfort.h
%{_libdir}/libboxfort.so
%{_libdir}/pkgconfig/boxfort.pc

%changelog
%autochangelog
